import type { ApiKeyDescription } from "./ApiKeyDescription";
import type { EpochMillis } from "./EpochMillis";
import type { PublicApiKey } from "./PublicApiKey";
import type { SecretApiKey } from "./SecretApiKey";
import type { UserSummary } from "./UserSummary";
export declare type ApiKeyDetails = {
    apiKey: SecretApiKey | PublicApiKey;
    description: ApiKeyDescription;
    createdAt: EpochMillis;
    createdBy: UserSummary;
};
