/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

/**
 * Settings for an account that dictate whether its users must be authenticated to perform uploads and/or downloads.
 */
export type SetDownloadAuthSettings = {
  /**
   * If true, anonymous visitors from the Internet can download any file from the account (assuming they have a file ID).
   */
  allowUnauthenticatedDownloads: boolean;
  /**
   * If true, anonymous visitors from the Internet can upload new files to the account.
   */
  allowUnauthenticatedUploads: boolean;
};
